Home / Lua API Manual / types / dt_imageio_module_format_data_j2k
< dt_imageio_module_format_data_webp
dt_imageio_module_format_data_pdf >

# dt_imageio_module_format_data_j2k

`dt_type`

Type object describing parameters to export to jpeg2000.

Attributes:

- parent : types.dt_imageio_module_format_t

# 🔗dt_imageio_module_format_data_j2k.quality

`number`

The quality to use at export time.

Attributes:

- write

# 🔗dt_imageio_module_format_data_j2k.bpp

`number`

The bpp parameter to use when exporting.

Attributes:

- write

# 🔗dt_imageio_module_format_data_j2k.format

types.dt_imageio_j2k_format_t

The format to use.

Attributes:

- write

# 🔗dt_imageio_module_format_data_j2k.preset

types.dt_imageio_j2k_preset_t

The preset to use.

Attributes: 62

- write

< dt_imageio_module_format_data_webp
dt_imageio_module_format_data_pdf >